MOTU PCI 324/424

This install provides compatibility updates for 10.2.7 (and later), as well as Panther 10.3 and G5 compatibility updates. Installer contains drivers for MOTU PCI-324 and PCI-424 audio systems under Mac OSX. This install requires OS 10.2.2 or later. OSX 10.2.4 or higher is highly recommended. MOTU PCI Audio console is provided for PCI-324 and 424 systems. Cuemix and the SMPTE Console is provided for PCI-424 systems. Console applications install into the local directory Applications folder. Cuemix now has control surface support, talkback and listenback capabilities, and I/O port naming under Panther. Refer to .pdf included in installer for update info.
File Size11.28 MB
Operating System Mac OS X 10.0 Macintosh Mac OS X 10.3.9 Mac OS X 10.1 Mac OS X 10.4 PPC Mac OS X 10.2 Mac OS X 10.3
System RequirementsMac OS X


You have been successfully signed up. To sign up for more newsletters or to manage your account, visit the Newsletter Subscription Center.
See All
See All